Witaj Gościu, jeżeli to czytasz to znaczy że nie jesteś zarejestrowany/zalogowany. Kliknij by się zarejestrować. Rejestracja zajmie mniej niż 30 sekund , a dzięki temu zniknie Ci ten dymek oraz będziesz miał pełne możliwośći personalizacji forum do własnych potrzeb.
Neo przy starcie systemu w Sidux'ie
Pokaż wyniki od 1 do 10 z 10

Temat: Neo przy starcie systemu w Sidux'ie

  1. #1
    Avatar mabi76
    mabi76 jest nieaktywny Sprzedawca Żywopłotów
    Mężczyzna
    • Platforma sprzętowa
      • Płyta Główna:
      • Biostar P4m800
      • Procesor:
      • Intel Celeron 2,93Ghz
      • Karta Graficzna:
      • ‎RV280 [Radeon 9200 PRO
      • Karta Dźwiękowa:
      • AC97
      • Monitor:
      • Belinea
      • Kernel:
      • 2.6.24.4-desktop586-1mnb
    Dystrybucja: MDV2008 Sidux2009-04 Fedora12
    Dołączył
    Sep 2008
    Skąd
    Kraków/Barwałd Śr
    Postów
    116
    Wątków
    17
    Downloads
    0
    Uploads
    0
    Siła Reputacji
    41
    Reputacja
    343

    Neo przy starcie systemu w Sidux'ie

    Hej!
    Znudziło mi się trochę wpisywanie po każdym starcie systemu
    Kod:
    pppd call neostrada
    i chciałem skorzystać z automatycznego łączenia które jest opisane tutaj
    wszystko pięknie, ładnie ale po
    Kod:
    update-rc.d neostrada defaults 95
    mam
    Kod:
    root@siduxbox:~# update-rc.d neostrada defaults 95
    insserv: warning: script 'K01neostrada' missing LSB tags and overrides
    insserv: warning: script 'neostrada' missing LSB tags and overrides
    root@siduxbox:~#
    Da radę to obejść czy przyzwyczaić się do wpisywania pppd ca....?

  2. Panna Google
    Panna Google jest aktywna
    Avatar Panny Google

    Dołączył
    01-05-2004
    Skąd
    Internet
    Postów
    999
    Pochwał
    159

    Nie lubisz reklam? Zarejestrowani ich nie widzą! Rejestracja





  3. #2
    Dołączył
    Jul 2004
    Postów
    751
    Wątków
    101
    Downloads
    3
    Uploads
    0
    Siła Reputacji
    142
    Reputacja
    1723

    Odp: Neo przy starcie systemu w Sidux'ie

    Ja to mam w rc.local.

    A da się w rc.local ustawić samoczynny start prawidłowego działania klawiszy dodatkowych typu CapsLock i znaków interpunkcji

    V.
    Ostatnio edytowane przez vorlog ; 16.02.2009 o 21:15
    Ceterum censeo Debian optimus est. |http://ludolfina.pl
    Esta chica tiene una sonrisa muy dulce.

  4. #3
    Avatar mabi76
    mabi76 jest nieaktywny Sprzedawca Żywopłotów
    Mężczyzna
    • Platforma sprzętowa
      • Płyta Główna:
      • Biostar P4m800
      • Procesor:
      • Intel Celeron 2,93Ghz
      • Karta Graficzna:
      • ‎RV280 [Radeon 9200 PRO
      • Karta Dźwiękowa:
      • AC97
      • Monitor:
      • Belinea
      • Kernel:
      • 2.6.24.4-desktop586-1mnb
    Dystrybucja: MDV2008 Sidux2009-04 Fedora12
    Dołączył
    Sep 2008
    Skąd
    Kraków/Barwałd Śr
    Postów
    116
    Wątków
    17
    Downloads
    0
    Uploads
    0
    Siła Reputacji
    41
    Reputacja
    343

    Odp: Neo przy starcie systemu w Sidux'ie

    Niestety nie działa.

  5. #4
    Avatar mr_x
    mr_x jest nieaktywny Super Moderator
    Mężczyzna
    • Platforma sprzętowa
      • Płyta Główna:
      • Asus M2N-SLI
      • Procesor:
      • AMD Athlon 64 X2 5000+
      • Karta Graficzna:
      • NV GF 9800 GTX+
      • Karta Dźwiękowa:
      • Integra
      • Monitor:
      • LG 24 cale (1920x1200)
    Dystrybucja: Mint (amd64)
    Polska
    Dołączył
    Oct 2006
    Skąd
    Białystok
    Wiek
    31
    Postów
    2,572
    Wątków
    135
    Downloads
    1
    Uploads
    0
    Siła Reputacji
    636
    Reputacja
    9135

    Odp: Neo przy starcie systemu w Sidux'ie

    Cytat Napisał mabi76
    Hej!
    Znudziło mi się trochę wpisywanie po każdym starcie systemu
    Kod:
    pppd call neostrada
    i chciałem skorzystać z automatycznego łączenia które jest opisane tutaj
    wszystko pięknie, ładnie ale po
    Kod:
    update-rc.d neostrada defaults 95
    mam
    Kod:
    root@siduxbox:~# update-rc.d neostrada defaults 95
    insserv: warning: script 'K01neostrada' missing LSB tags and overrides
    insserv: warning: script 'neostrada' missing LSB tags and overrides
    root@siduxbox:~#
    Da radę to obejść czy przyzwyczaić się do wpisywania pppd ca....?
    Przecież to nie jest żaden błąd, a jedynie ostrzeżenie o braku znacznika LSB.

    Zobacz np. ten temat. Przejdź do ### BEGIN INIT INFO i dostosuj do swojego skryptu. Poza tym to i tak nie ma wpływu na samo działanie skryptu.
    Ostatnio edytowane przez mr_x ; 16.02.2009 o 21:46

  6. #5
    Dołączył
    Jul 2004
    Skąd
    Chorzów
    Wiek
    45
    Postów
    2,290
    Wątków
    0
    Downloads
    17
    Uploads
    0
    Siła Reputacji
    360
    Reputacja
    4946

    Odp: Neo przy starcie systemu w Sidux'ie

    Cytat Napisał mabi76
    Kod:
    root@siduxbox:~# update-rc.d neostrada defaults 95
    insserv: warning: script 'K01neostrada' missing LSB tags and overrides
    insserv: warning: script 'neostrada' missing LSB tags and overrides
    root@siduxbox:~#
    Da radę to obejść czy przyzwyczaić się do wpisywania pppd ca....?
    Plik /etc/init.d/neostrada powinien się zaczynać od linii
    Kod:
    #!/bin/sh
    lub
    Kod:
    #!/bin/bash
    Wpisz zaraz po tej linii dokładnie to:
    Kod:
    ### BEGIN INIT INFO
    # Provides:          neostrada
    # Required-Start:
    # Required-Stop:
    # Default-Start:     2 3 4 5
    # Default-Stop:      0 1 6
    # Short-Description: Run /etc/init.d/neostrada if it exist
    ### END INIT INFO
    To takie najprostsze, niezbędne minimum

    Pozdrawiam
    Ostatnio edytowane przez Hagal ; 16.02.2009 o 21:42

  7. #6
    Avatar mabi76
    mabi76 jest nieaktywny Sprzedawca Żywopłotów
    Mężczyzna
    • Platforma sprzętowa
      • Płyta Główna:
      • Biostar P4m800
      • Procesor:
      • Intel Celeron 2,93Ghz
      • Karta Graficzna:
      • ‎RV280 [Radeon 9200 PRO
      • Karta Dźwiękowa:
      • AC97
      • Monitor:
      • Belinea
      • Kernel:
      • 2.6.24.4-desktop586-1mnb
    Dystrybucja: MDV2008 Sidux2009-04 Fedora12
    Dołączył
    Sep 2008
    Skąd
    Kraków/Barwałd Śr
    Postów
    116
    Wątków
    17
    Downloads
    0
    Uploads
    0
    Siła Reputacji
    41
    Reputacja
    343

    Odp: Neo przy starcie systemu w Sidux'ie

    Czy tak ma wyglądać /etc/init.d/neostrada
    Kod:
    #! /bin/bash
    ### BEGIN INIT INFO
    # Provides:          neostrada
    # Required-Start:
    # Required-Stop:
    # Default-Start:     2 3 4 5
    # Default-Stop:      0 1 6
    # Short-Description: Run /etc/init.d/neostrada if it exist
    ### END INIT INFO
    #! /bin/sh
    PATH=/usr/sbin:/usr/bin:/sbin:/bin
    NAME=pppd
    DAEMON=/usr/sbin/pppd
    PEER="neostrada"
    DAEMON_ARGS="call $PEER linkname $PEER"
    PIDFILE=/var/run/ppp-$PEER.pid
    SCRIPTNAME=/etc/init.d/neostrada
    
    # Exit if the package is not installed
     [ -x "$DAEMON" ] || exit 0
    
     do_start()
     {
                   
        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
           || return 1
        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
           $DAEMON_ARGS \
           || return 2
    }
                             
     do_stop()
     {
        start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --name $NAME
        RETVAL="$?"
        [ "$RETVAL" = 2 ] && return 2
        start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
        [ "$?" = 2 ] && return 2
        rm -f $PIDFILE
        return "$RETVAL"
    }
                                             
     case "$1" in
       start)
        [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
        do_start
        case "$?" in
           0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
           2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
      stop)
       [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
       do_stop
       case "$?" in
          0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
          2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
       esac
       ;;
      restart|force-reload)
       log_daemon_msg "Restarting $DESC" "$NAME"
       do_stop
       case "$?" in
         0|1)
          do_start
          case "$?" in
             0) log_end_msg 0 ;;
             1) log_end_msg 1 ;; # Old process is still running
             *) log_end_msg 1 ;; # Failed to start
          esac
          ;;
         *)
            # Failed to stop
          log_end_msg 1
          ;;
       esac
       ;;
      *)
       #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
       echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
       exit 3
       ;;
     esac
    Czy może ma tam być tylko to co napisał Prezes?

  8. #7
    Dołączył
    Jul 2004
    Skąd
    Chorzów
    Wiek
    45
    Postów
    2,290
    Wątków
    0
    Downloads
    17
    Uploads
    0
    Siła Reputacji
    360
    Reputacja
    4946

    Odp: Neo przy starcie systemu w Sidux'ie

    Usuń linię 10
    Kod:
    #! /bin/sh
    i będzie OK.

  9. #8
    Avatar mr_x
    mr_x jest nieaktywny Super Moderator
    Mężczyzna
    • Platforma sprzętowa
      • Płyta Główna:
      • Asus M2N-SLI
      • Procesor:
      • AMD Athlon 64 X2 5000+
      • Karta Graficzna:
      • NV GF 9800 GTX+
      • Karta Dźwiękowa:
      • Integra
      • Monitor:
      • LG 24 cale (1920x1200)
    Dystrybucja: Mint (amd64)
    Polska
    Dołączył
    Oct 2006
    Skąd
    Białystok
    Wiek
    31
    Postów
    2,572
    Wątków
    135
    Downloads
    1
    Uploads
    0
    Siła Reputacji
    636
    Reputacja
    9135

    Odp: Neo przy starcie systemu w Sidux'ie

    A po co spacja w
    Kod:
    #! /bin/bash
    ?
    Powinno być
    Kod:
    #!/bin/bash

  10. #9
    Dołączył
    Jul 2004
    Skąd
    Chorzów
    Wiek
    45
    Postów
    2,290
    Wątków
    0
    Downloads
    17
    Uploads
    0
    Siła Reputacji
    360
    Reputacja
    4946

    Odp: Neo przy starcie systemu w Sidux'ie

    x: ta spacja w niczym nie przeszkadza

  11. #10
    Avatar mabi76
    mabi76 jest nieaktywny Sprzedawca Żywopłotów
    Mężczyzna
    • Platforma sprzętowa
      • Płyta Główna:
      • Biostar P4m800
      • Procesor:
      • Intel Celeron 2,93Ghz
      • Karta Graficzna:
      • ‎RV280 [Radeon 9200 PRO
      • Karta Dźwiękowa:
      • AC97
      • Monitor:
      • Belinea
      • Kernel:
      • 2.6.24.4-desktop586-1mnb
    Dystrybucja: MDV2008 Sidux2009-04 Fedora12
    Dołączył
    Sep 2008
    Skąd
    Kraków/Barwałd Śr
    Postów
    116
    Wątków
    17
    Downloads
    0
    Uploads
    0
    Siła Reputacji
    41
    Reputacja
    343

    Odp: Neo przy starcie systemu w Sidux'ie

    Działa! Wielkie dzięki dla Wszystkich!

Informacje o wątku

Users Browsing this Thread

Aktualnie 1 użytkownik(ów) przegląda ten wątek. (0 zarejestrowany(ch) oraz 1 gości)

Uprawnienia

  • Nie możesz zakładać nowych wątków
  • Nie możesz pisać wiadomości
  • Nie możesz dodawać załączników
  • Nie możesz edytować swoich postów
  •